---
#------------------------------------------------------------
# This is the schema for product mini configuration version 3.0
#------------------------------------------------------------

#------------------------------------------------------------
# Type alias
#------------------------------------------------------------
type_alias:  
  #------------------------------------------------------------
  # Root type
  #------------------------------------------------------------
  root_type:
    type: map
    map_schema:
      name:
        required: yes
      logo_image:
        required: no
      thumb_image:
        required: yes
      background_image:
        required: yes
      dialog_image:
        required: no
      cd_key_required:
        type: yesno

#--------------------------------------------------------------
# Schema
#--------------------------------------------------------------
schema:
  type: map
  map_schema:
    # Specifies the version of the configuration
    version:
      required: yes
    # This is where the root of the configuration is found
    root:
      type: root_type
      required: yes
